.site-footer {
	text-align: center;
}

/*====================================
=            Upper Footer            =
====================================*/

.upper-footer {
	font-size: 16px;
	line-height: 1.38em;
	background-image: url('/wp-content/themes/rm-basetheme/images/bg-footer.jpg');
	background-color: var(--dark-color);
	background-size: cover;
	background-position: center right;
	background-repeat: no-repeat;
	color: var(--light-color);
	padding: 50px 0;
	position: relative;
	/* Tablet Styles */
	@media (width >= 768px) {
		padding-top: 60px;
		padding-bottom: 60px;
	}
	@media (width >= 1024px) {
		padding-top: 180px;
		padding-bottom: 180px;
	}
	&:before {
		content: "";
		position: absolute;
		left: 0;
		top: 0;
		width: 100%;
		height: 100%;
		background: linear-gradient(to top, rgb(from var(--dark-color) r g b / 0.19) 0%, rgb(from var(--dark-color) r g b / 1) 100%);
		z-index: 0;
	}
	> div {
		position: relative;
	}

	.site-locations {
		grid-area: f-call;
		.show-icon {
			min-width: 30px;
			margin-right: 15px;
		}
	}

	.location-each {
		>* {
			margin-bottom: 25px;
			justify-content: flex-start;
		}
	}

	.phone-text.location-text {
		font-size: 20px;
		letter-spacing: 0.035em;
		.location-phone-number {
			display: inline-block;
			&:before {
				content: "Call ";
			}
		}
	}

	.sms-text.location-text {
		font-size: 20px;
		letter-spacing: 0.035em;
		.show-text {
			&:before {
				content: "Text ";
			}
		}
		.show-icon {
			svg {
				width: 27px;
			}
		}
	}

	.location-text {
		font-size: 17px;
		line-height: 1.24em;
		svg {
			width: 23px;
			path {
				fill: var(--light-color);
			}
		}
	}

	.address-text {
		.show-icon {
			svg {
				width: 23px;
			}
		}
	}

	.h2 {
		color: var(--light-color);
		margin-top: 0;
		text-transform: uppercase;
		text-align: center;
	}

	a {
		color: var(--light-color);
		text-decoration: none;
		transition: color .3s;
		font-weight: var(--fw-normal);

		&:hover,
		&:active,
		&:focus {
			color: var(--secondary-color);

			svg {
				path {
					fill: var(--secondary-color);
				}
			}
		}

		.nav-expander {
			display: none;
		}
	}

	svg {
		path {
			fill: var(--light-color);
			transition: fill .3s;
		}
	}
}

/* Footer Header */
.footer-header {
	flex-direction: column;
	grid-area: a;
	padding-bottom: 20px;

	.contact-text {
		width: 100%;
		a {
			color: var(--light-color);
			text-decoration: underline;
			font-weight: var(--fw-bold);
			&:hover {
				color: var(--secondary-color);
				text-decoration: none;
			}
		}
	}
}

/* Footer Contact Form */
.footer-contact-form {
	grid-area: b;
	margin-bottom: 45px;
	@media (width >= 768px) {
		margin-bottom: 70px;
	}
	@media (width >= 1024px) {
		margin-bottom: 0;
	}
	/* Gravity Forms */
	.gform-theme.gform-theme--foundation {
		color: var(--light-color);

		form {
			label,
			legend {
				color: var(--light-color);
			}

			.gfield_description {
				color: rgb(from var(--light-color) r g b / 0.5);
			}

			.gf_progressbar_wrapper {
				.gf_progressbar_title {
					color: var(--light-color);
				}

				.gf_progressbar {
					background-color: rgb(from var(--light-color) r g b / 0.4);
				}
			}

			.gform-body {
				.gfield {
					input {
						background: transparent;
						color: var(--light-color);
						border-color: var(--light-color);
					}
				}
				.gfield--type-select,
				.gfield--type-time,
				.gfield--type-address {
					select {
						color: var(--light-color);
						background-color: transparent;
						border-color: var(--light-color);
						background-image: url('../images/svg/gravity-arrow-light.svg');
					}
				}
				textarea {
					background: transparent;
					color: var(--light-color);
					border-color: var(--light-color);
				}
				::placeholder {
					color: var(--light-color);
				}
			}

			.disclaimer {
				width: 100%;
				margin-bottom: 20px;
				text-align: left;
				opacity: 0.5;
			}

			.gform-footer.gform_footer {
				width: fit-content;
				margin: 0 auto;
				@media (width >= 1024px) {
					margin: 0;
				}
				&:hover,
				&:active,
				&:focus {
					color: var(--secondary-color);
				}
				button.gform_button.button {
					color: var(--light-color);
				}

			}
		}
	}
}

.footer-practice-info {
	grid-area: c;
	max-width: 290px;
	margin-left: auto;
	margin-right: auto;
	@media (width >= 768px) {
		max-width: 100%;
	}
	.fpi-container {
		width: fit-content;
		display: flex;
        flex-wrap: wrap;
		column-gap: 85px;
		@media (width >= 1024px) {
			display: flex;
			flex-direction: column;
		}
	}
	.f-info {
		/* display: flex;
		flex-wrap: wrap;
		align-items: center; */
		display: grid;
		grid-template-columns: 80px 1fr;
		grid-template-areas: 'f-call f-call'
						     'f-soc f-rating';
		align-items: center;
	}
}

.f-logo {
	display: flex;
	align-items: center;
	justify-content: center;
	margin-bottom: 16px;
	grid-area: footer-logo;
	@media (width >= 768px) {
		margin-bottom: 0;
	}
	@media (width >= 1024px) {
		margin-bottom: 26px;
	}
	svg {
		height: 2em;
		width: auto;
	}
	img {
		width: 263px;
		height: auto;
		@media (width >= 768px) {
			width: 324px;
		}
		@media (width >= 1024px) {
			width: 254px;
		}
	}
}


/*==================================
=            Footer Nav            =
==================================*/

.site-footer {
	.footer-nav {
		display: none;

		/* Tablet Styles */
		@media (width >= 768px) {
			background-color: var(--primary-color);
			display: block;
			grid-area: d;
			margin: 55px 0 0;
			padding: 20px 0;
		}

		.menu {
			list-style: none;
			margin: 0;

			/* Tablet Styles */
			@media (width >= 768px) {
				display: flex;
				justify-content: center;
				flex-wrap: wrap;
				align-items: center;
			}

			li {
				margin: 0 10px;

				ul {
					display: none;
				}
			}
		}
	}
}


/*===========================================
=            Footer Social Icons            =
===========================================*/

.f-social {
	margin-right: 30px;
	grid-area: f-soc;
	.social-icons {
		font-size: 30px;
		line-height: 1em;
		list-style: none;
		margin: 0;
		display: flex;
		/* justify-content: center; */

		.show-icon {
			margin-right: 16px;

			&:last-of-type {
				margin-right: 0;
			}

			a:hover,
			a:active,
			a:focus {
				svg {
					path {
						fill: var(--secondary-color);
					}
				}
			}
		}

		a {
			display: flex;
		}

		svg {
			width: auto;
			height: 36px;
			path {
				fill: var(--light-color);
			}
		}
	}
}

/*==================================================
=            Contact Page Footer Styles            =
==================================================*/

.contact,
.contact-us {
	.upper-footer {
		display: none;
		padding-top: 0;

		/* Tablet Styles */
		@media (width >= 768px) {
			display: block;
		}

		.footer-nav {
			border-top: none;
			margin-top: 0;
		}
	}
}

/*==============================================
=            Style Specific Classes            =
==============================================*/

.upper-footer {

	&.style-2,
	&.style-3 {

		.h2 {
			font-size: 32px;
			line-height: 1.1em;
			letter-spacing: 0.02em;
			text-wrap-style: balance;
			@media (width >= 768px) {
				font-size: 36px;
			}
			@media (width >= 1024px) {
				font-size: 40px;
				text-align: left;
			}
			span {
				font-weight: var(--fw-bold);
			}
		}
		.contact-text {
			text-align: left;
		}
		.footer-practice-info {

			/* Tablet Styles */
			@media (width >= 1024px) {
				text-align: left;
			}
		}

		.location-address-block {
			display: block;

			.address-street:after {
				content: none;
			}
		}

		.hours-text {

			/* Tablet Styles */
			@media (width >= 768px) {
				padding-left: 48px;
			}
		}

		.location-hours-block {

			/* Tablet Styles */
			@media (width >= 768px) {
				justify-content: flex-start;
			}
		}
	}

	.ratings {
		grid-area: f-rating;
		a {
			display: flex;
			width: fit-content;
			justify-content: center;
			flex-direction: column-reverse;
			align-items: center;
			margin-left: auto;
			margin-right: auto;

			&:before {
				content: 'Read More Reviews';
				text-transform: uppercase;
				font-size: 17px;
			}
		}

		.ratings__text {
			display: none;
		}

		.ratings__stars {
			display: flex;
			column-gap: 5px;
			margin-left: 0;
			margin-bottom: 10px;
			.ratings__star {
				display: flex;
				align-items: center;
				svg {
					width: 22px;
					height: 22px;
				}
				path {
					fill: var(--secondary-color);
				}
			}
		}
	}
}



/*====================================
=            Lower Footer            =
====================================*/

.lower-footer {
	font-size: 14px;
	line-height: 1.7em;
	position: relative;
	padding-bottom: 110px;
	background-image: url('/wp-content/themes/rm-basetheme/images/bg-lower-footer.jpg');
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
	/* Desktop Styles */
	@media (width >= 1024px) {
		font-size: 15px;
		text-align: left;
        display: grid;
        grid-template-columns: 2fr 1fr;
        column-gap: 20px;
		/* grid-template-areas: "l-disclaimer l-signature"
			 				"l-copyright l-signature"; */
	}

	.copyright {
		/* grid-area: l-copyright; */
		margin-bottom: 1em;
		@media (width >= 1024px) {
			margin-bottom: 0;
		}
	}

	a {
		color: var(--primary-color);
		text-decoration: none;
		font-weight: var(--fw-regular);
		&:hover {
			color: var(--secondary-color);
			svg {
				path {
					fill: var(--secondary-color);
				}
			}
		}

		&.policy-sitemap {
			&:after {
				content: ' | ';
				display: inline;
				position: relative;
			}
		}

		&:nth-last-of-type(2) {
			&:after {
				content: none;
			}
		}

		&.accessibility {
			background: var(--secondary-color);
			color: var(--light-color);
			padding: 5px 10px;
			/* border-radius: 3px; */
			margin-left: 10px;
			margin-right: 10px;
			display: inline-block;
			line-height: 16px;

			&:hover,
			&:active,
			&:focus {
				background: var(--primary-color);
			}
		}
	}

	.rm-sig {
		@media (width >= 1024px) {
			text-align: right;
		}
		.rm-logo {
			padding-left: 8px;
			display: inline-block;
			transform: translateY(3px);
		}

		svg {
			width: 28px;
			height: auto;

			path {
				fill: var(--primary-color);
				transition: all 0.3s;
			}
		}
	}
}

.site-disclaimer {
	font-size: 13px;
	line-height: 1.2em;
}

/*===================================================================
=            Userway / Accessibility and Recaptcha Icons            =
===================================================================*/

.grecaptcha-badge,
.js body .uwy .uai,
.js body .uwy .userway_buttons_wrapper {
	bottom: 5px;
	transition: all .3s !important;
}

.make-sticky .grecaptcha-badge,
.make-sticky .uai,
.make-sticky .userway_buttons_wrapper {
	bottom: 74px !important;
}

/*======================================
=        Related / Latest Posts        =
======================================*/

.f-blog {
	text-align: center;
	background-image: url('/wp-content/themes/rm-basetheme/images/bg-blog-light-marble.jpg');
	padding-top: 40px;
	padding-bottom: 40px;
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
	@media (width >= 768px) {
		padding-top: 60px;
		padding-bottom: 60px;
		display: grid;
        column-gap: 40px;
        grid-template-columns: 227px 1fr;
        grid-template-areas: "f-heading f-posts"
							 "f-links f-posts";
	}
	@media (width >= 1024px) {
		padding-top: 90px;
		padding-bottom: 90px;
		grid-template-rows: 190px auto;
		column-gap: 90px;
	}
	.f-blog-heading-wrap {
		margin-bottom: 1.5em;
		grid-area: f-heading;
		@media (width >= 768px) {
			display: flex;
        	flex-direction: column;
        	justify-content: flex-end;
		}
		.f-blog-heading {
			margin-top: 0;
			margin-bottom: 10px;
			text-transform: uppercase;
		}

		.f-blog-sub-heading {
			margin-top: 0;
			margin-bottom: 10px;
		}

		.f-blog-description,
		.section-intro {
			margin-top: 0;
			margin-bottom: 0;

			p:last-of-type {
				margin-bottom: 0;
			}
		}
	}

	.footer-posts-list {
		display: grid;
		grid-template-columns: 1fr;
		column-gap: 1em;
		row-gap: 3em;
		list-style: none;
		margin: 0;
		padding-bottom: 2em;
		grid-area: f-posts;

		/* Tablet Styles */
		@media (width >= 768px) {
			grid-template-columns: 1fr 1fr;
			column-gap: 65px;
			margin-bottom: 0;
		}

		/* Desktop Styles */
		/* @media (width >= 1024px) {
			grid-template-columns: 1fr 1fr 1fr;
		} */

		li {
			text-align: center;

			&:nth-of-type(n+3) {
				display: none;

				/* Desktop Styles */
				@media (width >= 1024px) {
					display: block;
				}
			}

			a {
				text-decoration: none;
			}

			.f-post-img-wrap {
				margin-bottom: 25px;
				@media (width >= 1024px) {
					height: 310px;
				}
			}

			.blog-title {
				font-style: italic;
				font-size: 21px;
			}
			
			img {
				width: 100%;
				height: 100%;
				object-fit: cover;
				object-position: center;
			}

			.blog-excerpt {
				padding-bottom: 1em;
			}
		}
	}

	.related-link {
		grid-area: f-links;
	}
}